"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getConfig = void 0;

var _path = require("path");

var _tools = require("@kettil/tools");

var _access = require("../cmd/access");

var _readFile = require("../cmd/readFile");

const getDataRecursive = (data, keys) => {
  const key = keys.shift();

  if (key === undefined) {
    return data;
  }

  return (0, _tools.isObject)(data) ? getDataRecursive(data[key], keys) : undefined;
};

const getConfig = async (path, keyPath) => {
  const configPath = (0, _path.join)(path, '.carnarc.json');
  const hasConfigFile = await (0, _access.access)(configPath, 'readable');

  if (!hasConfigFile) {
    return undefined;
  }

  const data = await (0, _readFile.readFile)(configPath, true);
  return (0, _tools.isString)(keyPath) ? getDataRecursive(data, keyPath.split('.')) : data;
};

exports.getConfig = getConfig;