"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getWorkspaces = void 0;

var _fs = require("fs");

var _path = require("path");

var _tools = require("@kettil/tools");

var _glob = require("glob");

const getWorkspaces = root => {
  const packagePath = (0, _path.normalize)((0, _path.join)(__dirname, (0, _path.relative)(__dirname, root), './package.json'));
  const packageData = (0, _fs.readFileSync)(packagePath, {
    encoding: 'utf8'
  });
  const packageJson = JSON.parse(packageData);

  if (!(0, _tools.isObject)(packageJson)) {
    return {};
  }

  const {
    workspaces
  } = packageJson;

  if (!(0, _tools.isArray)(workspaces)) {
    return {};
  }

  const paths = (0, _tools.uniqueArray)(workspaces.filter(_tools.isString).flatMap(workspace => _glob.glob.sync(`${workspace.replace(/\/+$/u, '')}/`)).map(path => path.replace(/\/$/u, '').replace(/^\./u, '<rootDir>')).sort());
  return Object.fromEntries(paths.map(path => [(0, _path.basename)(path), path]));
};

exports.getWorkspaces = getWorkspaces;