"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getHeuristicConfig = void 0;

var _tools = require("@kettil/tools");

var _reduceHeuristicList = require("./reduceHeuristicList");

const getHeuristicConfig = ({
  config,
  replaceConfig,
  defaultHeuristics = {}
}) => {
  const items = replaceConfig ? {} : { ...defaultHeuristics
  };
  const {
    heuristics
  } = config;

  if (heuristics === undefined) {
    return items;
  }

  if (!(0, _tools.isObject)(heuristics)) {
    throw new TypeError('.carnarc.json: license.heuristics is not an object');
  }

  return (0, _tools.objectEntries)(heuristics).reduce(_reduceHeuristicList.reduceHeuristicList, items);
};

exports.getHeuristicConfig = getHeuristicConfig;