"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getIgnoreConfig = void 0;

var _tools = require("@kettil/tools");

const isArrayString = values => values.every(value => (0, _tools.isString)(value));

const getIgnoreConfig = ({
  config
}) => {
  const {
    ignore
  } = config;

  if (ignore === undefined) {
    return [];
  }

  if (!(0, _tools.isObject)(ignore)) {
    throw new TypeError('.carnarc.json: license.ignore is not an object');
  }

  if (!(0, _tools.isArray)(ignore.packages)) {
    throw new TypeError('.carnarc.json: license.ignore.packages is not an array');
  }

  if (!isArrayString(ignore.packages)) {
    throw new TypeError('.carnarc.json: license.ignore.packages has a value that is not a string');
  }

  return ignore.packages;
};

exports.getIgnoreConfig = getIgnoreConfig;