"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getBabelConfigPath = void 0;

var _actionConfigs = require("../../configs/actionConfigs");

var _firstExistFileError = require("../errors/firstExistFileError");

var _getFirstExistingFile = require("./getFirstExistingFile");

const getBabelConfigPath = async ([cwd, ...paths]) => {
  try {
    return await (0, _getFirstExistingFile.getFirstExistingFile)({
      cwd,
      files: _actionConfigs.babelConfigFiles
    });
  } catch (error) {
    if (error instanceof _firstExistFileError.FirstExistFileError && paths.length > 0) {
      return getBabelConfigPath(paths);
    }

    throw error;
  }
};

exports.getBabelConfigPath = getBabelConfigPath;