"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getPackageLintMode = void 0;

var _packageLoad = require("../actions/npm/packageLoad");

const getPackageLintMode = async ({
  argv,
  path,
  workspacePaths
}) => {
  if (workspacePaths.length > 0 && path === argv.root) {
    return 'monorepo';
  }

  const packageJsonKeyBin = await (0, _packageLoad.npmPackageLoadAction)(argv, {
    path,
    key: 'bin'
  });

  if (typeof packageJsonKeyBin !== 'undefined') {
    return 'cli';
  }

  const packageJsonKeyPrivate = await (0, _packageLoad.npmPackageLoadAction)(argv, {
    path,
    key: 'private'
  });

  if (packageJsonKeyPrivate === true) {
    return 'app';
  }

  return 'lib';
};

exports.getPackageLintMode = getPackageLintMode;