"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getWorkspaceDependencies = void 0;

var _tools = require("@kettil/tools");

var _getWorkspaceDependencyCompare = require("./getWorkspaceDependencyCompare");

var _getWorkspacePackageAndDependencies = require("./getWorkspacePackageAndDependencies");

const getWorkspaceDependencies = async ({
  argv,
  workspacePath,
  workspacePaths
}) => {
  if (!(0, _tools.isString)(workspacePath)) {
    return [];
  }

  const promises = workspacePaths.map(async path => (0, _getWorkspacePackageAndDependencies.getWorkspacePackageAndDependencies)(argv, {
    workspacePath: path
  }));
  const workspaces = await Promise.all(promises);
  const workspace = workspaces.find(w => w.path === workspacePath);
  return workspace ? (0, _tools.uniqueArray)((0, _getWorkspaceDependencyCompare.getWorkspaceDependencyCompare)({
    workspace,
    workspaces
  })) : [];
};

exports.getWorkspaceDependencies = getWorkspaceDependencies;